function createTime(parent) {
  if (!parent)
    parent = ".content"
  if (typeof parent == "string")
    parent = document.querySelector(parent)
  var time = document.createElement("div")
  time.className = "time"
  if (parent)
    parent.appendChild(time)
  return time
}

function formatTime(timestamp) {
  var format = akamai.amp.Utils.formatZeroFill
  var date = new Date(timestamp);
  var seconds = (date.getSeconds() + date.getMilliseconds() / 1000).toFixed(3);
  return format(date.getHours()) + ":" + format(date.getMinutes()) + ":" + format(seconds);
}

function displayTime(getTime, label, parent) {
  var time = createTime(parent)

  setInterval(function () {
    var value = (label) ? label + ": " : "";
    try {
      var date = getTime()
      if (!isNaN(date) && date > 0) {
        value += formatTime(date)
      }
    } catch (error) {}
    time.innerHTML = value;
  }, 100)
}

function displayMouseTime(getTime, label, parent) {
  var time = createTime(parent)

  setInterval(function () {
    var value = (label) ? label + ": " : "";
    try {
      var date = getTime()
      if (!isNaN(date) && date > 0) {
        value += formatTime(date);
      }
    } catch (error) {}
    time.innerHTML = value;
  }, 100)
}
